This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 593857 (CVE-2010-1974)

Summary: CVE-2010-1974 perl: multiple unspecified vulnerabilities in Safe
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cweyl, iarnell, jlieskov, kasal, lkundrak, mmaslano, rc040203, tcallawa
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100508,reported=20100427,source=upstream,rhel-3/perl=affected/impact=moderate/cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N/,rhel-4/perl=affected/impact=moderate/cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N/,rhel-5/perl=affected/impact=moderate/cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N/,rhel-6/perl=affected/impact=moderate/cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N/,fedora-all/perl=affected/impact=moderate/cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N/
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-01 06:11:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Vincent Danen 2010-05-19 17:04:04 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1974 to
the following vulnerability:

Name: CVE-2010-1974
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1974
Assigned: 20100519
Reference: CONFIRM: http://blogs.perl.org/users/rafael_garcia-suarez/2010/03/new-safepm-fixes-security-hole.html
Reference: CONFIRM: http://cpansearch.perl.org/src/RGARCIA/Safe-2.27/Changes

Multiple unspecified vulnerabilities in the Safe (aka Safe.pm) module
before 2.25 for Perl allow context-dependent attackers to inject and
execute arbitrary code via vectors related to "automagic methods."
NOTE: this might overlap CVE-2010-1169 or CVE-2010-1447.
Comment 3 Tomas Hoger 2010-06-01 06:11:25 EDT
This is a duplicate of CVE-2010-1168, as explained in:
  http://thread.gmane.org/gmane.comp.security.oss.general/2932

*** This bug has been marked as a duplicate of bug 576508 ***